# Configuration

Custom skull texture supports in GUI's - where the material goes put: `skull-<base64>`  - use the value from <https://minecraft-heads.com/custom-heads>

## **config.yml**

```
# Plugin must have a license or it will not run
license: ""

# Plugin Prefix - often displayed on commands
prefix: "&8[&cMining&8] "

sendUpdateReminder: true # on join and in console it will send a message to operators if the version is outdated

# After a block is mined it will turn into the below block
blockAfterMine: BEDROCK

# How quickly it takes for the blocks to regenerate - if set to 0 it will not reset
secondsToReset: 10

disableRegeneration: false # If this is true block regeneration is disabled

# This is the economy name, this will also act as the base command for the economy. Placeholders will still use "COINS"
economyName: "coins"

bypassProtectedRegions: true # Will allow mines to be broken in protected areas

useRomanNumerals: true

handleRewardsAsync: true # This will handle giving reward on another thread

mineTopUpdate: 1 # Time in minutes of how often /minetop will recalculate

editorModeSelectorTool: BLAZE_ROD

onlyMiningPickaxeCanBreakMine: true

defaultStartingLevel: 0 # Level of all enchants when the player receives the pickaxe

# Lore Placeholders: {keyhere_LEVEL} & {keyhere_MAX_LEVEL}
# keys: EFFICIENCY, FORTUNE, HASTE, EXPERIENCE, SPAWNERS, CRATES, COINS, SELLER, SMELTER
pickaxe:
  name: "&b&lMining Pickaxe"
  lore:
    - "&7&oYou can only use this in the mines!"
    - ""
    - "&aOwner: &f{OGOwner}"
    - "&aProgress: {Progress_Bar}"
    - ""
    - "&2&lStats:"
    - "&8(&2*&8) &aEfficiency Booster: &e{EFFICIENCY_LEVEL}"
    - "&8(&2*&8) &aFortune Booster: &e{FORTUNE_LEVEL}"
    - "&8(&2*&8) &aHaste Booster: &e{HASTE_LEVEL}"
    - "&8(&2*&8) &aExperience Booster: &e{EXPERIENCE_LEVEL}"
    - "&8(&2*&8) &aSpawner Booster: &e{SPAWNERS_LEVEL}"
    - "&8(&2*&8) &aCrate Booster: &e{CRATES_LEVEL}"
    - "&8(&2*&8) &aCoin Booster: &e{COINS_LEVEL}"
    - "&8(&2*&8) &aSell Booster: &e{SELLER_LEVEL}"
    - "&8(&2*&8) &aAutosell: &e{AUTOSELL_LEVEL}"
    - "&8(&2*&8) &aSmelter: &e{SMELTER_LEVEL}"
    - "&8(&2*&8) &aSoulbound: &e{SOULBOUND_LEVEL}"

blockBreakProgressions:
  enabled: true
  1: # You are able to add as many progressions as you would like
    blocks: 500 # This is the amount of blocks needed to be broken to execute this command
    command: "eco give {PLAYER} 1000000"
    message: "&aYou have received $1,000,000 for reaching 500 mines broken!"
  2:
    blocks: 1000 # This is the amount of blocks needed to be broken to execute this command
    command: "lp user {PLAYER} perm set essentials.warp.mine1"
    message: "&aYou have been given access to Mine 1!"

moneyReceived:
  actionBar: true
  message: "&bYou have received {AMOUNT} from mining" # Placeholders: {AMOUNT} <-- formatted money

mustUsePickaxe:
  hasAdmin: "&cYou can only break this in editor-mode or with the correct pickaxe."
  default: "&cYou can only break this with the correct pickaxe."

onlyUseOnMines:
  canUseAnywhere: false # if true mining pickaxes can be used on any block # If true you must use the mining pickaxe to break mines, if false rewards will still only be given with mining pickaxe
  message: "&cYou can only use this on mines! &7(Click to toggle message)"

cannotBreakBlock: "&cYou cannot break this block."

coins:
  balanceMessage: "&aYou have {AMOUNT} {ECONOMY}" # Placeholders: {AMOUNT} {ECONOMY}
  targetBalanceMessage: "&a{PLAYER} has {AMOUNT} {ECONOMY}" # Placeholders: {PLAYER} {AMOUNT} {ECONOMY}
  cannotFindPlayer: "&cCannot find that player."
  cannotSendSelfMoney: "&cYou cannot send yourself money."
  howMuchMessage: "&cHow much are you giving?"
  invalidAmount: "&cPlease enter a valid amount."
  cannotAfford: "&cYou cannot afford this.."
  paid: "&aSuccessfully sent {PLAYER} {AMOUNT} {ECONOMY}" # Placeholders: {PLAYER} {AMOUNT} {ECONOMY}
  receivedFrom: "&a{PLAYER} has sent you {AMOUNT} {ECONOMY}" # Placeholders: {PLAYER} {AMOUNT} {ECONOMY}
  beenGiven: "&aYou have been given {AMOUNT} {ECONOMY}" # Placeholders: {AMOUNT} {ECONOMY}
  beenSet: "&aYour {ECONOMY} has been set to {AMOUNT}" # Placeholders: {AMOUNT} {ECONOMY}

shop:
  notEnoughCurrency: "&cYou do not have enough {economy} to purchase this!"
  notEnoughSpace: "&cYou do not have enough space in your inventory to purchase this!"
  successfullyBoughtItem: "&aYou have successfully bought an item for &2{price} {economy}&a."

receivedPickaxe: "&aYou have been given {AMOUNT}x Mining Pickaxes" # Placeholders: {AMOUNT}

upgrades:
  mustBeHoldingPickaxe: "&cYou must be holding the mining pickaxe in your hand!"
  alreadyMaximumLevel: "&cYou have already reached the maximum level!"
  insufficientBalance: "&cYou do not have enough balance to do this, you need {COINS}" # Placeholders: {COINS}
  success: "&aSuccessfully upgraded {TYPE} to level {LEVEL}" # Placeholders: {TYPE} {LEVEL}

leaderboard:
  title: "&8----- &cMineTop &7[{PAGE}/{MAX_PAGE}] &8-----" # Placeholders: {PAGE} {MAX_PAGE}
  ranking: "&c{POS}. &e{NAME} &8- &e{AMOUNT}" # Placeholders: {POS} {NAME} {AMOUNT}
  gui:
    enable: true
    sendMessage: true

mineRequirements:
  notEnough: "&cYou must break at least &4%s&c blocks to break &4%s&c mines."

captcha:
  completionMessage: "&aYou have successfully completed the captcha."
  failMessage: "&cYou have failed your captcha you cannot break mines for 30 seconds!"
  staffNotify: "&c{player} has failed a mining captcha."
  ableToBreakMinesAgain: "&aYou are now able to mine again."
  durationSeconds: 30
  autoCaptcha:
    enabled: true
    chance: 0.3 # Chance is out of 100 (if set at 0.3, for every 100,000 blocks broken on average the player will be capcha'd 300 times)
  command:
    enabled: true
    permission: miningeconomy.captcha
  notify:
    enabled: true
    permission: miningeconomy.captcha.notify

advancedSettings:
  breakListenerPriority: LOW
  valueFormatting:
    k: "k"
    m: "m"
    b: "b"
    t: "t"
```

## **mines.yml**

```
# Make as many custom mines as you want, you will be able to place them in game using the '/mining editor' command
requirement: false # If requirement is set to true, in order to mine the next mine (the one below in the list) you will have to reach the requirement (requirementAmount - which is the extra blocks required to access this mine)
common:
  materials:
    - "COAL_ORE"
    - "IRON_ORE"
uncommon:
  requirementAmount: 150 # to break uncommon mines you need to break this amount of mines.
  materials:
    - "LAPIS_ORE"
    - "REDSTONE_ORE"
rare:
  requirementAmount: 200 # to break rare mines you need to break this extra amount of mines.
  materials:
    - "GOLD_ORE"
    - "EMERALD_ORE"
epic:
  requirementAmount: 250 # to break epic mines you need to break this extra amount of mines.
  materials:
    - "DIAMOND_ORE"
    - "IRON_BLOCK"
legendary:
  requirementAmount: 300 # to break legendary mines you need to break this extra amount of mines.
  materials:
    - "DIAMOND_BLOCK"
    - "EMERALD_BLOCK"
    - "GOLD_BLOCK"
```

## **upgrades.yml**

```

efficiency:
# defaultLevel: 5 # If you add this the default pickaxe will have level 5 efficiency   
  maxLevel: 15 # Maximum level that a player can upgrade to
  baseCost: 150 # Initial cost for upgrading
  costIncreasePerUpgrade: 25 # Additional cost per level of upgrading

fortune:
  maxLevel: 15
  baseCost: 150
  costIncreasePerUpgrade: 25

haste:
  maxLevel: 15
  baseCost: 150
  costIncreasePerUpgrade: 25

experience:
  maxLevel: 15
  baseCost: 150
  costIncreasePerUpgrade: 25
  extraEXPPerLevel: 11 # Amount of EXP that a player will receive per level

spawners:
  maxLevel: 15
  baseCost: 150
  costIncreasePerUpgrade: 25
  chance: 0.1
  extraChancePerLevel: 0.01
  commands:
    # Other
    commandMethod: random # 'random' will run one of these commands, 'all' will run all of these commands
    commandList:
      - "silkspawner give {PLAYER} zombie_pigman 1"
      - "silkspawner give {PLAYER} iron_golem 1"
      - "silkspawner give {PLAYER} villager 1"
      - "silkspawner give {PLAYER} witch 1"

crates:
  maxLevel: 15
  baseCost: 150
  costIncreasePerUpgrade: 25
  chance: 0.1
  extraChancePerLevel: 0.01
  commands:
    commandMethod: random # 'random' will run one of these commands, 'all' will run all of these commands
    commandList:
      - "crate give {PLAYER} common 1"
      - "crate give {PLAYER} rare 1"
      - "crate give {PLAYER} epic 1"
      - "crate give {PLAYER} legendary 1"
      - "crate give {PLAYER} extreme 1"

coins:
  maxLevel: 15
  baseCost: 150
  costIncreasePerUpgrade: 25
  initialCoinsPerBlock: 1
  additionalCoinsPerUpgrade: 3

seller: # This me.fullpage.miningeconomy.hooks into your Vault economy
  maxLevel: 15
  baseCost: 150
  costIncreasePerUpgrade: 25
  timer: 15 # How often in seconds players will be paid money
  flatrate: false # Will receive x amount regardless of the type of block
  flatrateAmount: 100 # Player will receive $500 per block (if autosell enchant and flatrate is enabled flatrateAmount must be above 0)
  flatrateIncreasePerUpgrade: 250
  stillGiveItems: false # When this is true players will still receive the items from the block they broke
  specificRate: # (add and remove any) Money received will be specific to each block (flatrate must be disabled)
    'COAL_ORE':
      rate: 250
      increasePerUpgrade: 125
    'IRON_ORE':
      rate: 250
      increasePerUpgrade: 125
    'LAPIS_ORE':
      rate: 350
      increasePerUpgrade: 175
    'REDSTONE_ORE':
      rate: 350
      increasePerUpgrade: 175
    'GLOWING_REDSTONE_ORE':
      rate: 350
      increasePerUpgrade: 175
    'GOLD_ORE':
      rate: 500
      increasePerUpgrade: 250
    'EMERALD_ORE':
      rate: 500
      increasePerUpgrade: 250
    'DIAMOND_ORE':
      rate: 700
      increasePerUpgrade: 350
    'IRON_BLOCK':
      rate: 700
      increasePerUpgrade: 350
    'GOLD_BLOCK':
      rate: 1000
      increasePerUpgrade: 500
    'EMERALD_BLOCK':
      rate: 1000
      increasePerUpgrade: 500
    'DIAMOND_BLOCK':
      rate: 1000
      increasePerUpgrade: 500

smelter:
  baseCost: 150

soulbound:
  baseCost: 150

autosell:
  enabled: true
  applyFortune: true
  baseCost: 150
```

## **upgradesGui.yml**

```
# Configure the upgrades gui here
gui:
  setup:
    - "    -    "
    - " b c d e "
    - "  f g h  "
    - "   i j   "
    - "    x    " 
    - "        k"
  title: "Upgrades"
  elements:
    ' ':
      title: " "
      lore:
        - " "
      material: "GRAY_STAINED_GLASS_PANE"
      damage: 0
      glowing: true
      upgrade: none
    b:
      title: "&b&lEfficiency Booster"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "ENCHANTED_BOOK"
      damage: 0
      glowing: true
      upgrade: efficiency
    c:
      title: "&b&lFortune Booster"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "DIAMOND"
      damage: 0
      glowing: true
      upgrade: fortune
      cost: 150
      costIncreasePerUpgrade: 25
    d:
      title: "&b&lHaste Booster"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "GHAST_TEAR"
      damage: 0
      glowing: true
      upgrade: haste
    e:
      title: "&b&lExperience Booster"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "EXP_BOTTLE"
      damage: 0
      glowing: true
      upgrade: experience
    f:
      title: "&b&lSpawner Booster"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "MOB_SPAWNER"
      damage: 0
      glowing: true
      upgrade: spawners
    g:
      title: "&b&lCrate Booster"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "STORAGE_MINECART"
      damage: 0
      glowing: true
      upgrade: crates
    h:
      title: "&b&lCoin Booster"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "SUNFLOWER"
      damage: 0
      glowing: true
      upgrade: coins
    i:
      title: "&b&lSell Booster"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "GOLD_NUGGET"
      damage: 0
      glowing: true
      upgrade: seller
    j:
      title: "&b&lSmelter"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "FURNACE"
      damage: 0
      glowing: true
      upgrade: smelter
    x:
      title: "&d&lSoulbound"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "NETHER_STAR"
      damage: 0
      glowing: true
      upgrade: soulbound
    '-':
      title: "&e&lAutosell"
      lore:
        - "&eCurrent Level: &f{LEVEL}"
        - "&eProgress: {PROGRESS_BAR}"
        - "&eCost: &f{COST}"
      material: "NETHER_STAR"
      damage: 0
      glowing: true
      upgrade: autosell
    k:
      title: "&e&lCoins"
      lore:
        - "&7You have &e{COINS} &7coins."
      material: "PAPER"
      damage: 0
      glowing: true

```

## leaderboardGui.yml

```
# Configure the leaderboard gui here
gui:
  setup:
    - "---------"
    - "----a----"
    - "---aaa---"
    - "--aaaaa--"
    - "---------"
    - "---<i>--x"
  title: "MineTop Leaderboard"

  playerHead:
    element: "a"
    title: "&e{player} &8- &e{amount}"
    lore:
      - " "

  elements:
    '-':
      title: " "
      lore:
        - " "
      material: "STAINED_GLASS_PANE"
      damage: 7
      glowing: false
    '<':
      title: "&7Go to previous page (%prevpage%)"
      lore:
        - " "
      material: "PAPER"
      damage: 0
      glowing: true
      action: previous-page
    '>':
      title: "&7Go to next page (%nextpage%)"
      lore:
        - " "
      material: "PAPER"
      damage: 0
      glowing: true
      action: next-page
    'i':
      title: " "
      lore:
        - " "
      material: "BOOK"
      damage: 0
      glowing: true
      action: none
    'x':
      title: " "
      lore:
        - " "
      material: "BARRIER"
      damage: 0
      glowing: false
      action: close
```

## coins-shop.yml

```
Shop-Title: "Coins Shop"
Shop-Size: 27
Fill-Empty-Slots-With-Glass: true # This will fill empty slots in the upgrade menu with glass
Glass-Color: 15 # The color of glass you want
Glass-Glowing: true # Will make the glass enchanted

11:
  Buyable: true
  Name: "&aHelm"
  Type: "Diamond_Helmet"
  Data: 0
  Glowing: False
  Price: 1
  Command: "give {Player} diamond_helmet 1"
  Empty-Slots-Needed: 1
  Lore:
    - "&2God Helmet"
    - ""
    - "&cClick to buy for 1 coin"
12:
  Buyable: true
  Name: "&aChest"
  Type: "Diamond_Chestplate"
  Data: 0
  Glowing: False
  Price: 1
  Command: "give {Player} diamond_chestplate 1"
  Empty-Slots-Needed: 1
  Lore:
    - "&2God ChestPlate"
    - ""
    - "&cClick to buy for 1 coin"
13:
  Buyable: true
  Name: "&aLeggings"
  Type: "Diamond_Leggings"
  Data: 0
  Glowing: False
  Price: 1
  Command: "give {Player} diamond_leggings 1"
  Empty-Slots-Needed: 1
  Lore:
    - "&2God Leggings"
    - ""
    - "&cClick to buy for 1 coin"
14:
  Buyable: true
  Name: "&aBoots"
  Type: "Diamond_Boots"
  Data: 0
  Glowing: False
  Price: 1
  Command: "give {Player} diamond_boots 1"
  Empty-Slots-Needed: 1
  Lore:
    - "&2God Boots"
    - ""
    - "&cClick to buy for 1 coin"
15:
  Buyable: false
  Name: "&aBlank Slot"
  Type: "Diamond_Sword"
  Data: 0
  Glowing: False
  Lore:
    - "&2God Sword"
    - ""
```

## area-filter.yml

```
enabled: true
blocks: # make sure material type is in upper case
  'COAL_ORE': # specific ore
    mineType: epic # when this is present it and is a valid mine type (capital sensitive) - it will make the block turn into one the configured materials. [!] These over materials need to be configured in here too!
    Regions: # Requires world guard
      enabled: true
      whitelisted: # regions that this 'COAL_ORE' area classified as mines
        - 'MineArea'
        - 'Warzone' # regions are case-sensitive
    areaFilter:
      enabled: true
      world: 'world' # Limits Coal Ore mine filter to one worlds (case-sensitive)
  'DIAMOND_ORE': # specific ore
    Regions:
      enabled: true
      whitelisted:
        - 'MineArea'
        - 'Warzone'
    areaFilter:
      enabled: true
      world: 'world'

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mantic.dev/mining-economy/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
